Cyberduck Mountain Duck CLI

#9970 closed enhancement (fixed)

Slow user interface performance

Reported by: tehdns Owned by: dkocher
Priority: normal Milestone: 6.3.1
Component: core Version: 6.0.4
Severity: normal Keywords: slow, laggy, unresponsive
Cc: Architecture: Intel
Platform: macOS 10.12

Description

I've used cyberduck for a long time, both on windows and mac. I always thought the slow performance on mac was hardware issue as it is an old macbook but then i booted up a virtual machine on it with windows and installed it there. It was like day and night. Why is cyberduck on mac so unresponsive, laggy? Quick search, scrolling and directory listing is slow. Is there a solution? Also i tried cyberduck on other mac's just to be sure it wasn't just my mac.

Change History (7)

comment:1 Changed on Jun 7, 2017 at 2:52:32 PM by dkocher

  • Summary changed from Cyberduck performance on mac to Slow user interface performance

comment:2 Changed on Jun 7, 2017 at 2:52:39 PM by dkocher

  • Type changed from defect to enhancement

comment:3 Changed on Jul 28, 2017 at 6:59:42 AM by mikebruening

Version 6.2.0 on El Capitan

My CPU runs at 100% while scrolling a folder listing up or down, making the interface react slowly. Should I open a new ticket, or is my issue part of this one?

comment:4 Changed on Nov 18, 2017 at 9:03:04 PM by dkocher

  • Milestone set to 7.0
  • Owner set to dkocher
  • Status changed from new to assigned

comment:5 Changed on Nov 18, 2017 at 9:03:39 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r43396.

comment:6 Changed on Nov 21, 2017 at 8:40:09 PM by dkocher

  • Milestone changed from 7.0 to 6.3.1

comment:7 Changed on Dec 6, 2017 at 11:27:21 AM by mikebruening

Please reopen ticket. 6.3.1 scrolling is much slower, more laggy than 6.3.0. CPU usage over 100% while scrolling. El Capitan, ATI Radeon HD 5870

Note: See TracTickets for help on using tickets.
swiss made software